Subject: Re: sshd: public key working, but can't get passwords working
From: Daniel Griscom <[email-masked]>
To: Michael Hipp <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Jul 2007 09:40:39 -0400
List-Id: <cygwin.cygwin.com>

At 8:36 AM -0500 7/30/07, Michael Hipp wrote:
>Daniel Griscom wrote:
>>At 7:32 PM -0500 7/29/07, René Berber wrote:
>>>Back to the original problem: did you use ssh-user-config?  (I guess you did
>>>since you had to copy the public key).
>>
>>No; I'd thought that ssh-user-config was to 
>>configure an account that was to be an ssh 
>>client (e.g. one within which I'd use ssh to 
>>connect to another machine). I copied the 
>>public key from another workstation from which 
>>I've used ssh public key connections for a 
>>number of servers.
>>
>>>What you reported about the log is simple, the 
>>>password used is not correct...
>>>it should prompt you 3 times and then close 
>>>the connection; or the configuration
>>>does not allow password authentication, let's check this last one:
>>>
>>>In /etc/sshd_config you should have:
>>>
>>>#PasswordAuthentication yes
>>>#PermitEmptyPasswords no
>>>#UsePAM no
>>
>>All three lines are present and commented out (as above).
>
>I thought you were trying to use public/private 
>key authentication, not password authentication?

Sorry: public key works, and is great, but I'd 
also like the option of password authentication, 
and sshd always refuses my password.

>If so, then the first line above needs to be 
>uncommented and changed to 'no'.  (Remember to 
>keep a session open while you're testing 
>changes, and any changes won't become "live" 
>until sshd is restarted on the host.)
>
>I think you said you were using authorized_keys2 
>as the public key file, try using 
>~/authorized_keys (note the missing '2').

Has authorized_keys supplanted authorized_keys2? 
(I've always used the latter, and it's working in 
this situation, but perhaps I'm accumulating bad 
juju...)

Thanks,
Dan

--
Daniel T. Griscom             [email-masked]
Suitable Systems              http://www.suitable.com/
1 Centre Street, Suite 204    (781) 665-0053
Wakefield, MA  01880-2400

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/